import type { UnpackedMessageContext, WireMessage } from '../types';
import type { AgentMessage } from './AgentMessage';
import { Wallet } from '../wallet/Wallet';
import { AgentConfig } from './AgentConfig';
export interface EnvelopeKeys {
    recipientKeys: string[];
    routingKeys: string[];
    senderKey: string | null;
}
declare class EnvelopeService {
    private wallet;
    private logger;
    constructor(wallet: Wallet, agentConfig: AgentConfig);
    packMessage(payload: AgentMessage, keys: EnvelopeKeys): Promise<WireMessage>;
    unpackMessage(packedMessage: WireMessage): Promise<UnpackedMessageContext>;
}
export { EnvelopeService };
