"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnvelopeService = void 0;
const tsyringe_1 = require("tsyringe");
const constants_1 = require("../constants");
const messages_1 = require("../modules/routing/messages");
const AgentConfig_1 = require("./AgentConfig");
let EnvelopeService = class EnvelopeService {
    constructor(wallet, agentConfig) {
        this.wallet = wallet;
        this.logger = agentConfig.logger;
    }
    async packMessage(payload, keys) {
        const { routingKeys, recipientKeys, senderKey } = keys;
        const message = payload.toJSON();
        this.logger.debug(`Pack outbound message ${payload.type}`);
        let wireMessage = await this.wallet.pack(message, recipientKeys, senderKey !== null && senderKey !== void 0 ? senderKey : undefined);
        if (routingKeys && routingKeys.length > 0) {
            for (const routingKey of routingKeys) {
                const [recipientKey] = recipientKeys;
                const forwardMessage = new messages_1.ForwardMessage({
                    to: recipientKey,
                    message: wireMessage,
                });
                this.logger.debug('Forward message created', forwardMessage);
                wireMessage = await this.wallet.pack(forwardMessage.toJSON(), [routingKey], senderKey !== null && senderKey !== void 0 ? senderKey : undefined);
            }
        }
        return wireMessage;
    }
    async unpackMessage(packedMessage) {
        return this.wallet.unpack(packedMessage);
    }
};
EnvelopeService = __decorate([
    tsyringe_1.scoped(tsyringe_1.Lifecycle.ContainerScoped),
    __param(0, tsyringe_1.inject(constants_1.InjectionSymbols.Wallet)),
    __metadata("design:paramtypes", [Object, AgentConfig_1.AgentConfig])
], EnvelopeService);
exports.EnvelopeService = EnvelopeService;
//# sourceMappingURL=EnvelopeService.js.map