import type { ConnectionRecord } from '../modules/connections';
import type { OutboundMessage, OutboundServiceMessage } from '../types';
import type { AgentMessage } from './AgentMessage';
import { DidCommService } from '../modules/connections/models/did/service/DidCommService';
export declare function createOutboundMessage<T extends AgentMessage = AgentMessage>(connection: ConnectionRecord, payload: T): OutboundMessage<T>;
export declare function createOutboundServiceMessage<T extends AgentMessage = AgentMessage>(options: {
    payload: T;
    service: DidCommService;
    senderKey: string;
}): OutboundServiceMessage<T>;
export declare function isOutboundServiceMessage(message: OutboundMessage | OutboundServiceMessage): message is OutboundServiceMessage;
