"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BasicMessagesModule = void 0;
const tsyringe_1 = require("tsyringe");
const Dispatcher_1 = require("../../agent/Dispatcher");
const MessageSender_1 = require("../../agent/MessageSender");
const handlers_1 = require("./handlers");
const services_1 = require("./services");
let BasicMessagesModule = class BasicMessagesModule {
    constructor(dispatcher, basicMessageService, messageSender) {
        this.basicMessageService = basicMessageService;
        this.messageSender = messageSender;
        this.registerHandlers(dispatcher);
    }
    async sendMessage(connection, message) {
        const outboundMessage = await this.basicMessageService.send(message, connection);
        await this.messageSender.sendMessage(outboundMessage);
    }
    async findAllByQuery(query) {
        return this.basicMessageService.findAllByQuery(query);
    }
    registerHandlers(dispatcher) {
        dispatcher.registerHandler(new handlers_1.BasicMessageHandler(this.basicMessageService));
    }
};
BasicMessagesModule = __decorate([
    tsyringe_1.scoped(tsyringe_1.Lifecycle.ContainerScoped),
    __metadata("design:paramtypes", [Dispatcher_1.Dispatcher, services_1.BasicMessageService, MessageSender_1.MessageSender])
], BasicMessagesModule);
exports.BasicMessagesModule = BasicMessagesModule;
//# sourceMappingURL=BasicMessagesModule.js.map