import type { AgentConfig } from '../../../agent/AgentConfig';
import type { Handler, HandlerInboundMessage } from '../../../agent/Handler';
import type { CredentialResponseCoordinator } from '../CredentialResponseCoordinator';
import type { CredentialService } from '../services';
import { RequestCredentialMessage } from '../messages';
export declare class RequestCredentialHandler implements Handler {
    private agentConfig;
    private credentialService;
    private credentialResponseCoordinator;
    supportedMessages: (typeof RequestCredentialMessage)[];
    constructor(credentialService: CredentialService, agentConfig: AgentConfig, credentialResponseCoordinator: CredentialResponseCoordinator);
    handle(messageContext: HandlerInboundMessage<RequestCredentialHandler>): Promise<import("../../../types").OutboundMessage<import("../messages").IssueCredentialMessage> | import("../../../types").OutboundServiceMessage<import("../messages").IssueCredentialMessage> | undefined>;
    private createCredential;
}
