export interface CredentialPreviewOptions {
    attributes: CredentialPreviewAttribute[];
}
/**
 * Credential preview inner message class.
 *
 * This is not a message but an inner object for other messages in this protocol. It is used construct a preview of the data for the credential.
 *
 * @see https://github.com/hyperledger/aries-rfcs/blob/master/features/0036-issue-credential/README.md#preview-credential
 */
export declare class CredentialPreview {
    constructor(options: CredentialPreviewOptions);
    readonly type = "https://didcomm.org/issue-credential/1.0/credential-preview";
    static readonly type = "https://didcomm.org/issue-credential/1.0/credential-preview";
    attributes: CredentialPreviewAttribute[];
    toJSON(): Record<string, unknown>;
}
interface CredentialPreviewAttributeOptions {
    name: string;
    mimeType?: string;
    value: string;
}
export declare class CredentialPreviewAttribute {
    constructor(options: CredentialPreviewAttributeOptions);
    name: string;
    mimeType?: string;
    value: string;
    toJSON(): Record<string, unknown>;
}
export {};
