"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BatchPickupHandler = void 0;
const error_1 = require("../../../error");
const messages_1 = require("../messages");
class BatchPickupHandler {
    constructor(messagePickupService) {
        this.supportedMessages = [messages_1.BatchPickupMessage];
        this.messagePickupService = messagePickupService;
    }
    async handle(messageContext) {
        if (!messageContext.connection) {
            throw new error_1.AriesFrameworkError(`Connection for verkey ${messageContext.recipientVerkey} not found!`);
        }
        return this.messagePickupService.batch(messageContext);
    }
}
exports.BatchPickupHandler = BatchPickupHandler;
//# sourceMappingURL=BatchPickupHandler.js.map