"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KeylistUpdateHandler = void 0;
const helpers_1 = require("../../../agent/helpers");
const error_1 = require("../../../error");
const messages_1 = require("../messages");
class KeylistUpdateHandler {
    constructor(mediatorService) {
        this.supportedMessages = [messages_1.KeylistUpdateMessage];
        this.mediatorService = mediatorService;
    }
    async handle(messageContext) {
        if (!messageContext.connection) {
            throw new error_1.AriesFrameworkError(`Connection for verkey ${messageContext.recipientVerkey} not found!`);
        }
        const response = await this.mediatorService.processKeylistUpdateRequest(messageContext);
        return helpers_1.createOutboundMessage(messageContext.connection, response);
    }
}
exports.KeylistUpdateHandler = KeylistUpdateHandler;
//# sourceMappingURL=KeylistUpdateHandler.js.map